
Installer - Refactor #14449

Hostname check should use Facter binary instead of library

04/04/2016 07:09 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: foreman-installer script   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/171

  

Description

The installer ships a hostname check at checks/hostname.rb, which requires the 'facter' library to get the current parsed hostname.

This should be replaced for AIO support to not require Facter as a library, but instead call facter hostname or an equivalent.

Related issues:

Blocks Foreman - Tracker #8447: Puppet 4 support Closed 11/19/2014

Associated revisions

Revision b39edbb4 - 04/18/2016 03:28 AM - Dominic Cleal

fixes #14449 - run facter command to check FQDN, support AIO path

History

#1 - 04/04/2016 07:09 AM - Dominic Cleal

- Blocks Tracker #8447: Puppet 4 support added

#2 - 04/15/2016 09:23 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Pull request https://github.com/theforeman/foreman-installer/pull/171 added

#3 - 04/18/2016 05:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b39edbb4b3836d1dc6d896919dc7641021ec8f42.

#4 - 04/18/2016 05:42 AM - Dominic Cleal

- translation missing: en.field_release set to 136
